//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "GTSIPCTRLLib_OCX.h"
#include <OleCtrls.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TGTSIPAPI *GTSIPAPI1;
        TLabel *RegStatus;
        TEdit *SIPAddr;
        TLabel *Label1;
        TLabel *LineStatus;
        TButton *btnDial;
        TButton *btnHungup;
        TTimer *Timer1;
        TButton *btnNum1;
        TButton *btnNum2;
        TButton *btnNum3;
        TButton *btnNum4;
        TButton *btnNum5;
        TButton *btnNum6;
        TButton *btnNum7;
        TButton *btnNum8;
        TButton *btnNum9;
        TButton *btnStar;
        TButton *btnNum0;
        TButton *btnPound;
        TGroupBox *GroupBox1;
        TLabel *Label2;
        TEdit *PlaybackDevice;
        TLabel *Label3;
        TEdit *CaptureDevice;
        TButton *btnChangeSoundDevice;
        TLabel *Label4;
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall Timer1Timer(TObject *Sender);
        void __fastcall FormDestroy(TObject *Sender);
        void __fastcall GTSIPAPI1CallRinging(TObject *Sender, long ChanID);
        void __fastcall GTSIPAPI1CallOffered(TObject *Sender, long ChanID,
          BSTR Caller, BSTR Callee, BSTR DestAddr, BSTR ViaAddr,
          BSTR IPAddr, long IPPort);
        void __fastcall GTSIPAPI1CallIdle(TObject *Sender, long ChanID);
        void __fastcall GTSIPAPI1CallHolding(TObject *Sender, long ChanID,
          long HoldOnStatus);
        void __fastcall GTSIPAPI1CallDialing(TObject *Sender, long ChanID,
          BSTR Caller, BSTR Callee);
        void __fastcall GTSIPAPI1CallConnected(TObject *Sender,
          long ChanID);
        void __fastcall GTSIPAPI1RecvRegStatus(TObject *Sender,
          long ChanID, long ResType, long StatusCode);
        void __fastcall btnDialClick(TObject *Sender);
        void __fastcall btnHungupClick(TObject *Sender);
        void __fastcall btnNum1Click(TObject *Sender);
        void __fastcall btnNum2Click(TObject *Sender);
        void __fastcall btnNum3Click(TObject *Sender);
        void __fastcall btnNum4Click(TObject *Sender);
        void __fastcall btnNum5Click(TObject *Sender);
        void __fastcall btnNum6Click(TObject *Sender);
        void __fastcall btnNum7Click(TObject *Sender);
        void __fastcall btnNum8Click(TObject *Sender);
        void __fastcall btnNum9Click(TObject *Sender);
        void __fastcall btnStarClick(TObject *Sender);
        void __fastcall btnNum0Click(TObject *Sender);
        void __fastcall btnPoundClick(TObject *Sender);
        void __fastcall btnChangeSoundDeviceClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
        bool InitSIPServer();
        bool FreeSIPServer();
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
